ServerEvents.recipes(event => {
  event.remove({ output: 'mekanism:steel_casing' })
  event.remove({ output: 'mekanism:metallurgic_infuser' })
  event.remove({ output: 'mekanism:basic_fluid_tank' })
  event.remove({ output: 'mekanism:basic_chemical_tank' })
  event.remove({ output: 'mekanism:basic_universal_cable' })
  event.remove({ output: 'mekanism:basic_pressurized_tube' })
  event.remove({ output: 'mekanism:basic_thermodynamic_conductor' })
  
  
    event.custom({
    type: "create:mechanical_crafting",
    pattern: [
      "TMBMT",
      "MDGDM",
      "BGFGB",
      "MDGDM",
      "TMBMT"
    ],
    key: {
      F: { item: 'industrialforegoing:machine_frame_supreme' },
      D: { item: 'bloodmagic:demonslate' },
      G: { item: 'naturesaura:token_grief' },
      M: { item: 'ars_nouveau:manipulation_essence' },
      B: { item: 'bloodmagic:ingot_hellforged' },
      T: { item: 'botania:gaia_ingot' }
       
    },
    result: {
      item: 'mekanism:steel_casing',
      count: 1
    },
    acceptMirrored: false
  })

    event.shaped('mekanism:metallurgic_infuser', [
      'ICI',
      'ROR',
      'ICI'
    ], {
      I: 'minecraft:iron_ingot',
      O: 'mekanism:ingot_osmium',
      R: 'minecraft:redstone',
      C: 'mekanism:steel_casing'
    })
      event.shaped('mekanism:basic_fluid_tank', [
      'IRI',
      'RBR',
      'IRI'
    ], {
      I: 'minecraft:iron_ingot',
      R: 'minecraft:redstone',
      B: 'mekanism:basic_control_circuit'
    })
      event.shaped('mekanism:basic_chemical_tank', [
      'ROR',
      'OBO',
      'ROR'
    ], {
      O: 'mekanism:ingot_osmium',
      R: 'minecraft:redstone',
      B: 'mekanism:basic_control_circuit'
    })

      event.shaped(
        Item.of('mekanism:basic_universal_cable', 8), // outputs 8
        [
          '   ',
          'OBO',
          '   '
        ],
        {
          O: 'mekanism:ingot_osmium',
          B: 'mekanism:basic_control_circuit'
        }
      )

      event.shaped(
        Item.of('mekanism:basic_pressurized_tube', 8), // outputs 8
        [
          'GGG',
          'OBO',
          'GGG'
        ],
        {
          O: 'mekanism:ingot_osmium',
          B: 'mekanism:basic_control_circuit',
          G: '#forge:glass'
        }
      )

      event.shaped(
        Item.of('mekanism:basic_thermodynamic_conductor', 8), // outputs 8
        [
          'CCC',
          'OBO',
          'CCC'
        ],
        {
          O: 'mekanism:ingot_osmium',
          B: 'mekanism:basic_control_circuit',
          C: 'minecraft:copper_ingot'
        }
      )
  })